Version 4.0.26.22 (latest)

### Search roles include user count

Returns all role records that match the given search criteria, and attaches
associated user counts.

If multiple search params are given and `filter_or` is FALSE or not specified,
search params are combined in a logical AND operation.
Only rows that match *all* search param criteria will be returned.

If `filter_or` is TRUE, multiple search params are combined in a logical OR operation.
Results will include rows that match **any** of the search criteria.

String search params use case-insensitive matching.
String search params can contain `%` and '_' as SQL LIKE pattern match wildcard expressions.
example="dan%" will match "danger" and "Danzig" but not "David"
example="D_m%" will match "Damage" and "dump"

Integer search params can accept a single value or a comma separated list of values. The multiple
values will be combined under a logical OR operation - results will match at least one of
the given values.

Most search params can accept "IS NULL" and "NOT NULL" as special expressions to match
or exclude (respectively) rows where the column is null.

Boolean search params accept only "true" and "false" as values.

## Request

GET /roles/search/with_user_count Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... fields string Requested fields. limit integer Number of results to return (used with \`offset\`). offset integer Number of results to skip before returning any (used with \`limit\`). sorts string Fields to sort by. id string Match role id. name string Match role name. built_in boolean Match roles by built_in status. filter_or boolean Combine given search criteria in a boolean OR expression.

## Response

### 200: Role

Datatype Description (array) [RoleSearch](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/RoleSearch)\[\] can object Operations the current user is able to perform on this object id string Unique Id name string Name of Role permission_set [PermissionSet](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/PermissionSet) (Read only) Permission set Expand PermissionSet definition... can object Operations the current user is able to perform on this object all_access boolean built_in boolean id string Unique Id name string Name of PermissionSet permissions string\[\] url string Link to get this item permission_set_id string (Write-Only) Id of permission set model_set [ModelSet](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ModelSet) (Read only) Model set Expand ModelSet definition... can object Operations the current user is able to perform on this object all_access boolean built_in boolean id string Unique Id models string\[\] name string Name of ModelSet url string Link to get this item model_set_id string (Write-Only) Id of model set internal boolean Is this a Looker internal role user_count integer Count of users with this role url string Link to get this item users_url string Link to get list of users with this role

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link